=== release 1.12.4 ===

2017-12-07  Sebastian Dröge <slomo@coaxion.net>

	* configure.ac:
	  releasing 1.12.4

2017-12-07 18:56:12 +0200  Sebastian Dröge <sebastian@centricular.com>

	* po/nl.po:
	  po: Update translations

2017-12-06 17:07:29 +0100  Edward Hervey <edward@centricular.com>

	* gst/gstpad.c:
	  gstpad: Handle GST_PAD_PROBE_HANDLED on sticky event push
	  When actually pushing an event, if we get GST_FLOW_CUSTOM_SUCCESS_1
	  (which is the conversion of GST_PAD_PROBE_HANDLED return value),
	  don't consider the stick event push as ignored, but as handled

2017-09-04 12:20:43 +0200  Miguel París <mparisdiaz@gmail.com>

	* tests/check/gst/gstpad.c:
	  pad: add test to check handled and drop probes
	  https://bugzilla.gnome.org/show_bug.cgi?id=787243

2017-09-04 14:33:29 +0200  Edward Hervey <edward@centricular.com>

	* gst/gstpad.c:
	  pad: Don't call remaining probes after they return DROPPED|HANDLED
	  If multiple probes are set on a pad and one probe returns either
	  GST_PAD_PROBE_HANDLED or GST_PAD_PROBE_DROPPED we need to stop
	  calling the remaining probes.
	  https://bugzilla.gnome.org/show_bug.cgi?id=787243

2017-10-02 17:59:17 +0200  Edward Hervey <edward@centricular.com>

	* gst/gstbin.c:
	* tests/check/gst/gstbin.c:
	  bin: iterate_sorted: Ensure sources are always returned last
	  For linked elements, the resulting gst_bin_iterate_sorted() will
	  properly return elements from sink to sources.
	  If we have some elements that are not linked, we *still* want to
	  ensure that we return:
	  * In priority any sinks
	  * Last of all any sources
	  * And in between any element which is neither source nor sink
	  For this to work, when looking for the next candidate element,
	  not only check the degree order, but if there are two candidates
	  with the same degree order, prefer the non-source one.
	  Amongst other things, this fixes the case where we activating a
	  bin containing unlinked sources and other elements. Without this
	  we could end up activating sources (which might start adding pads
	  to be linked) before other (to which those new source element pads
	  might be linked) are not activated
	  https://bugzilla.gnome.org/show_bug.cgi?id=788434

2017-12-06 13:36:30 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstquery.c:
	  query: Add an empty structure in writable_structure() if there is none yet
	  This is consistent with how it works for GstEvent already.

2017-12-02 12:29:20 +0000  Tim-Philipp Müller <tim@centricular.com>

	* gst/gstinfo.c:
	  info: always check match patterns for new debug categories
	  Not only if a match pattern was set originally via GST_DEBUG.
	  Patterns might be set programmatically as well after all.

2017-12-02 12:22:47 +0000  Tim-Philipp Müller <tim@centricular.com>

	* gst/gstinfo.c:
	  info: fix performance issue with registering categories after gst_init()
	  When registering a new debug category after gst_init(), simply check
	  the existing patterns against that new category.
	  No need to iterate over all categories and recheck them all against
	  the existing patterns.
	  Also, no need to re-parse the existing pattern string set via GST_DEBUG
	  and add the same set of match patterns all over again to the existing
	  list of match patterns every time we register a new debug category.
	  Combined with iterating all debug categories on a change this would
	  make adding debug categories after gst_init() very very very slow.

2017-11-25 13:07:12 +0100  Edward Hervey <edward@centricular.com>

	* gst/gstinfo.c:
	  gstinfo: Use free instead of g_free
	  Because

2017-11-25 12:44:11 +0100  Edward Hervey <edward@centricular.com>

	* gst/gstinfo.c:
	  gstinfo: Don't leak array of strings
	  The array provided by backtrace_symbols needs to be freed.

2017-11-24 12:05:26 +0100  Edward Hervey <edward@centricular.com>

	* gst/gstutils.c:
	  gstutils: Fix linear regression comparision
	  The check for dropping precision was wrong when sxx and syy were negative.
	  if they are negative then "G_MAXINT64 - val" would always overflow
	  The check was meant to use G_MININT64 (like in the loop contained just
	  after).

2017-11-24 09:40:07 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/gstghostpad.c:
	  ghostpad: access internal pad with lock held

2017-03-30 09:17:08 +0200  Havard Graff <havard.graff@gmail.com>

	* gst/gstghostpad.c:
	* tests/check/gst/gstghostpad.c:
	  ghostpad: fix race-condition while tearing down
	  An upstream query will take a ref on the internal proxypad, and can
	  hence end up owning the last reference to that pad, causing a crash.

2017-11-23 15:28:39 +0100  Edward Hervey <edward@centricular.com>

	* plugins/elements/gstqueue.c:
	  queue: Only calculate level if we have valid levels
	  Doing calculations with GST_CLOCK_STIME_NONE would result in
	  completely bogus levels

2017-11-16 10:47:46 +0100  Edward Hervey <edward@centricular.com>

	  gstpad: Make pad (de)activation atomic
	  The following could happen previously:
	  * T1: calls gst_pad_set_active()
	  * T2: currently (de)activating it
	  * T1: gst_pad_set_active() returns, caller assumes that the pad has
	  completed the requested (de)activation ... whereas it is not
	  the case since the actual (de)activation in T2 might still be
	  going on.
	  To ensure atomicity of pad (de)activation, we use a internal
	  variable (and cond) to ensure only one thread at a time goes through
	  the actual (de)activation block
	  https://bugzilla.gnome.org/show_bug.cgi?id=790431

2017-11-16 08:26:12 +0100  Edward Hervey <edward@centricular.com>

	* gst/gstpad.c:
	  gstpad: Make calls to GstPadActivateFunction MT-safe
	  checking whether we already were in the target GstPadMode was being
	  done too early and there was the risk that we *would* end up
	  (de)activating a pad more than once.
	  Instead, re-do the check for pad mode when entering the final pad
	  (de)activation block.
	  https://bugzilla.gnome.org/show_bug.cgi?id=790431

2017-11-04 11:45:54 +0100  Edward Hervey <edward@centricular.com>

	* libs/gst/base/gsttypefindhelper.c:
	  typefindhelper: Fix overflow some more
	  Nothing guaranteed that off+size wouldn't exceed a 2**64 value.
	  Instead we reverse the operation and use a subtraction.

2017-11-04 10:34:10 +0100  Edward Hervey <edward@centricular.com>

	* libs/gst/base/gsttypefindhelper.c:
	  typefindhelper: Fix signed integer overflow
	  Make sure the whole calculation is done with 64bit unsigned values
	  (To be ready for people want to typefind exabyte files).

2017-10-31 11:39:23 +0100  Edward Hervey <edward@centricular.com>

	* gst/gstvalue.h:
	  gstvalue: Cast GST_MAKE_FOURCC arguments
	  To make it explicit that we are dealing with uint32 targets
	  Avoids erroneous  runtime error: left shift of negative value -1
	  https://bugzilla.gnome.org/show_bug.cgi?id=789700

2017-11-30 17:49:10 +0100  Michael Tretter <m.tretter@pengutronix.de>

	* libs/gst/net/gstptpclock.c:
	  ptpclock: do not require a name to create a clock
	  The gst_ptp_clock_new() does not actually require a name. However, for
	  example the rtpjitterbuffer may create a clock without a name, fail, and
	  fall back to not using the PTP clock.
	  https://bugzilla.gnome.org/show_bug.cgi?id=791034

2017-11-09 17:38:19 +0100  Edward Hervey <edward@centricular.com>

	* plugins/elements/gstconcat.c:
	  concat: Make QoS forward MT-safe
	  In the same way it's done for other event forwarding.

2017-10-06 21:59:03 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/gstbuffer.c:
	* tests/check/gst/gstmeta.c:
	  gstbuffer: fix meta removal in gst_buffer_foreach_meta
	  When updating the linked list, prev->next = next is correct
	  if prev is actually updated after being set to the head
	  of the list at the start.
	  https://bugzilla.gnome.org/show_bug.cgi?id=788617

2017-10-05 10:24:24 +0530  Ashish Kumar <kr.ashish@samsung.com>

	* gst/gstdeviceprovider.c:
	  device-provider: gst_device_provider_unhide_provider() always fails
	  https://bugzilla.gnome.org/show_bug.cgi?id=788520

=== release 1.12.3 ===

2017-09-18 17:46:32 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-coreelements.xml:
	* gstreamer.doap:
	* meson.build:
	  Release 1.12.3

2017-09-18 16:01:06 +0300  Sebastian Dröge <sebastian@centricular.com>

	* po/cs.po:
	  Update .po files

2017-09-18 15:59:55 +0300  Sebastian Dröge <sebastian@centricular.com>

	* po/cs.po:
	  po: Update translations

2017-09-18 15:54:00 +0300  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/ast.po:
	* po/az.po:
	* po/be.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/fur.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/nb.po:
	* po/nl.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/rw.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	* po/zh_TW.po:
	  Update .po files

2017-09-17 18:55:19 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstinfo.h:
	  info: GstStackTraceFlags were added in 1.12

2017-05-16 13:31:06 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst/gstconfig.h.in:
	  Also use default visibility for plugins symbol

2017-05-10 13:03:31 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/gstconfig.h.in:
	  gstconfig.h: use default visibility for GST_EXPORT for gcc/clang too
	  This will be needed later when we switch to using -fvisibility=hidden.

2017-08-11 21:17:06 +0200  Carlos Rafael Giani <dv@pseudoterminal.org>

	* configure.ac:
	  configure: Add switches for enabling/disabling libdw and libunwind
	  https://bugzilla.gnome.org/show_bug.cgi?id=778193

2017-07-11 16:15:16 +0100  Tim-Philipp Müller <tim@centricular.com>

	* pkgconfig/meson.build:
	  meson: pkgconfig: add libunwind/libdw to gstreamer-1.0 Requires.private
	  https://bugzilla.gnome.org/show_bug.cgi?id=784795

2017-07-11 15:29:44 +0200  Edward Hervey <edward@centricular.com>

	* configure.ac:
	* pkgconfig/gstreamer-uninstalled.pc.in:
	* pkgconfig/gstreamer.pc.in:
	  pkgconfig: Add private requirements
	  Add libunwind and dw to the .pc Requires.private. Fixes static library
	  compilation if gstreamer was compiled with one of those dependencies
	  https://bugzilla.gnome.org/show_bug.cgi?id=784795

2017-08-24 16:00:42 +0100  Tim-Philipp Müller <tim@centricular.com>

	* libs/gst/base/gstbaseparse.c:
	  baseparse: fix taglist update spam
	  We would constantly re-post the taglist because
	  posted_avg_rate only gets set to avg_bitrate if
	  parse->priv->post_avg_bitrate is true, so if it's
	  false the posted rate will always differ from the
	  current average rate and we'd queue an update,
	  which leads to us spamming downstream and the
	  application with taglist updates.
	  Fix this by only queuing an update if the average
	  rate will actually be posted.
	  These taglists updates could cause expensive
	  operations on the application side, e.g. in Totem.
	  https://bugzilla.gnome.org/show_bug.cgi?id=786561

2017-08-26 13:44:38 -0300  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* gst/gstvalue.c:
	* tests/check/gst/gstvalue.c:
	  value: Handle serializing NULL GValueArray
	  Consider them as an empty array and do not segfault...
	  https://bugzilla.gnome.org/show_bug.cgi?id=786670

2017-08-17 12:13:31 +0100  Tim-Philipp Müller <tim@centricular.com>

	* README:
	* common:
	  Automatic update of common submodule
	  From 48a5d85 to dd9d403

2017-08-16 22:47:31 +0300  Sebastian Dröge <sebastian@centricular.com>

	* plugins/elements/gstidentity.c:
	* plugins/elements/gstidentity.h:
	  identity: Return FLUSHING instead of EOS and don't start waiting for anything if currently flushing
	  Otherwise we might try unscheduling a clock id (that does not exist
	  yet), then the streaming thread waits for id and the state change never
	  continues because the streaming thread is blocked.
	  Also shutting down and flushing and similar should return FLUSHING, not
	  EOS. The stream is not over, we're just not accepting any buffers
	  anymore.

2017-08-11 11:12:09 +0300  Sebastian Dröge <sebastian@centricular.com>

	* plugins/elements/gstqueue.c:
	  queue: Allow re-usability after EOS
	  After EOS, it is possible for a pad to be resetted by sending
	  either a STREAM_START or SEGMENT event
	  Mimic the same behaviour when receiving STREAM_START/SEGMENT events
	  in queue if we are EOS'd
	  https://bugzilla.gnome.org/show_bug.cgi?id=786056

2017-08-09 16:15:23 +0200  Edward Hervey <edward@centricular.com>

	* plugins/elements/gstqueue2.c:
	  queue2: Allow re-usability after EOS
	  After EOS, it is possible for a pad to be resetted by sending
	  either a STREAM_START or SEGMENT event
	  Mimic the same behaviour when receiving STREAM_START/SEGMENT events
	  in queue2 if we are EOS'd
	  https://bugzilla.gnome.org/show_bug.cgi?id=786056

2017-08-09 10:51:39 +0200  Edward Hervey <edward@centricular.com>

	* plugins/elements/gstmultiqueue.c:
	* plugins/elements/gstqueue.c:
	* plugins/elements/gstqueue2.c:
	  plugins: *queue* elements: Handle STREAM_START in EOS situation
	  When queue-like elements are in "EOS" situation (received GST_FLOW_EOS
	  from downstream or EOS was pushed), they drain buffers/events that
	  wouldn't be processed anyway and let through events that might
	  modify the EOS situation.
	  Previously only GST_EVENT_EOS and GST_EVENT_SEGMENT events were let
	  through, but we also need to allow GST_EVENT_STREAM_START to go
	  through since it resets the EOS state of pads since 1.6
	  https://bugzilla.gnome.org/show_bug.cgi?id=786034

2017-08-07 12:24:37 +0200  Edward Hervey <edward@centricular.com>

	* plugins/elements/gstqueue2.c:
	  queue2: Handle buffering levels on NOT_LINKED
	  When downstream returns NOT_LINKED, we return the buffering level
	  as being 100%.
	  Since the queue is no longer being consumed/used downstream, we
	  want applications to essentially "ignore" this queue for buffering
	  purposes.
	  If other streams are still being used, those stream buffering levels
	  will be used. If none are used, upstream will post an error message
	  on the bus indicating no streams are used.
	  https://bugzilla.gnome.org/show_bug.cgi?id=785799

2017-08-02 21:02:32 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstpad.c:
	  pad: Recheck sticky events after non-blocking buffer probes and blocking event probes
	  Without the former, event changes (e.g. setting a pad offset) does not
	  take effect for the current buffer but only for the next one. Without
	  the latter, non-blocking event probes would not see any updated events
	  yet.

2017-07-28 17:27:18 +0100  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstsegment.c:
	  segment: Add missing out annotations for various parameters

=== release 1.12.2 ===

2017-07-14 14:01:13 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-coreelements.xml:
	* gstreamer.doap:
	* meson.build:
	  Release 1.12.2

2017-07-14 13:19:58 +0300  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/ast.po:
	* po/az.po:
	* po/be.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/fur.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/nb.po:
	* po/nl.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/rw.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	* po/zh_TW.po:
	  Update .po files

2017-07-13 21:52:34 +0800  Jason Lin <shangchieh@realtek.com>

	* libs/gst/base/gstbasesink.c:
	  basesink: fix buffer leaks if preroll failed
	  buffer is not unreferened if preroll failed
	  :Detailed Notes:
	  - Problem : video freeze when switching from pause to 1/2-FF repeatedly
	  - RootCause : buffer leaks in basesink
	  - Solution : unref the buffer if prerolled failed
	  :Testing Preformed:
	  How to Test :
	  pause -> 1/2 FF -> resume -> pause -> 1/2 FF ...
	  https://bugzilla.gnome.org/show_bug.cgi?id=784932

2017-06-29 09:10:04 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: check for ppoll() as well

2017-06-27 09:59:52 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* tools/meson.build:
	  meson: Add configinc as include_directory in tools/
	  Otherwise when the glib is used as a subproject config.h is the glib
	  one, not ours.

2017-06-23 11:11:44 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: fix with-package-name option
	  https://bugzilla.gnome.org/show_bug.cgi?id=784082

2017-06-21 10:48:52 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* libs/gst/base/gstbaseparse.c:
	  baseparse: sinkcaps can be NULL in default caps negotiation
	  This was causing harmless assertion about the unreffed caps not being of
	  type caps.
	  https://bugzilla.gnome.org/show_bug.cgi?id=784041

=== release 1.12.1 ===

2017-06-20 12:04:50 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-coreelements.xml:
	* gstreamer.doap:
	* meson.build:
	  Release 1.12.1

2017-06-20 11:11:23 +0300  Sebastian Dröge <sebastian@centricular.com>

	* po/bg.po:
	* po/da.po:
	* po/de.po:
	* po/fr.po:
	* po/hr.po:
	* po/hu.po:
	* po/nb.po:
	* po/pl.po:
	* po/ru.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  Update .po files

2017-06-20 11:06:16 +0300  Sebastian Dröge <sebastian@centricular.com>

	* po/bg.po:
	* po/da.po:
	* po/de.po:
	* po/fr.po:
	* po/hr.po:
	* po/hu.po:
	* po/nb.po:
	* po/pl.po:
	* po/ru.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  po: Update translations

2017-06-20 11:04:33 +0300  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/ast.po:
	* po/az.po:
	* po/be.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/fur.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/nb.po:
	* po/nl.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/rw.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	* po/zh_TW.po:
	  Update .po files

2017-06-20 15:57:47 +0900  Heekyoung Seo <heekyoung.seo@lge.com>

	* gst/gstutils.c:
	  utils: Fix leak in failed case of regression overflow checking
	  https://bugzilla.gnome.org/show_bug.cgi?id=783978

2017-06-20 16:10:07 +0900  Heekyoung Seo <heekyoung.seo@lge.com>

	* gst/gstregistrychunks.c:
	  registrychunk: Fix leak in failed case of reading plugin dependency string
	  https://bugzilla.gnome.org/show_bug.cgi?id=783978

2017-06-20 10:00:16 +0300  Sebastian Dröge <sebastian@centricular.com>

	* libs/gst/controller/gsttimedvaluecontrolsource.c:
	* libs/gst/controller/gsttimedvaluecontrolsource.h:
	* win32/common/libgstcontroller.def:
	  controller: Export boxed type copy/free functions for GstControlPoint

2017-06-20 09:57:01 +0300  Sebastian Dröge <sebastian@centricular.com>

	* libs/gst/base/gstbaseparse.c:
	* libs/gst/base/gstbaseparse.h:
	* libs/gst/base/gstflowcombiner.c:
	* libs/gst/base/gstflowcombiner.h:
	* win32/common/libgstbase.def:
	  base: Export boxed type copy/free functions for the remaining types

2017-06-16 13:34:00 +0000  Andrejs Vasiljevs <andrejs.vasiljevs@ubnt.com>

	* libs/gst/net/gstptpclock.c:
	  ptp: Unref timeout GSource for delay requests
	  https://bugzilla.gnome.org/show_bug.cgi?id=783864

2017-06-15 11:40:51 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gsturi.c:
	  gsturi: Fixed incorrect escaping of path as a generic string
	  The gst_uri_construct function was escaping the location string
	  as a generic uri string. This is incorrect since the slash('/')
	  characters are reserved for use in this exact case. The patch
	  changes the escape_string function mode to handle the path correctly.
	  In 1.14 this function will be deprecated.
	  https://bugzilla.gnome.org/show_bug.cgi?id=783787

2017-05-23 00:51:12 +0200  Olivier Crête <olivier.crete@collabora.com>

	* libs/gst/base/gstbasesrc.c:
	  basesrc: Hold object lock while updating latency
	  Otherwise in gst_base_src_query_latency(), it ended up
	  sometimes thinking it wasn't -1 when it was actually.

2017-05-22 12:01:41 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstobject.c:
	  object: Add missing annotations to get_value_array() / get_value_g_array()
	  Same as already used in GstControlBinding.

2017-05-20 19:42:51 +0300  Sebastian Dröge <sebastian@centricular.com>

	* docs/gst/gstreamer-sections.txt:
	* gst/gstparse.c:
	* gst/gstparse.h:
	* win32/common/libgstreamer.def:
	  parse: Make gst_parse_context_copy() public for bindings

2017-05-19 19:22:27 +0200  Matthew Waters <matthew@centricular.com>

	* gst/gstdebugutils.c:
	  debugutils: add missing E character to the legend
	  The E character on pads indicates the presence of the EOS flag.

2017-05-20 16:44:14 +0100  Tim-Philipp Müller <tim@centricular.com>

	* tools/Makefile.am:
	  tools: dist new gst-stats man page
	  Fixes meson build from tarball.

2017-05-16 00:02:11 +0100  Tim-Philipp Müller <tim@centricular.com>

	* tests/check/meson.build:
	  meson: fix gstprintf test linking
	  Must link against gstprint helper lib to use private symbol.

2017-05-13 18:30:27 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	* meson_options.txt:
	  meson: add options to set package name and origin
	  https://bugzilla.gnome.org/show_bug.cgi?id=782172

=== release 1.12.0 ===

2017-05-04 15:36:55 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-coreelements.xml:
	* gstreamer.doap:
	* meson.build:
	  Release 1.12.0

2017-05-04 15:00:16 +0300  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/ast.po:
	* po/az.po:
	* po/be.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/fur.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/nb.po:
	* po/nl.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/rw.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	* po/zh_TW.po:
	  Update .po files

2017-05-02 14:35:50 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstmessage.c:
	  message: Don't pass a NULL debug string to g_utf8_validate()
	  g_utf8_validate() crashes on NULL, but NULL is valid for the debug
	  string nonetheless.

2017-05-02 14:27:14 +0300  Sebastian Dröge <sebastian@centricular.com>

	* libs/gst/base/gstadapter.c:
	  adapter: Check if meta transform_func is NULL before using it
	  https://bugzilla.gnome.org/show_bug.cgi?id=782050

2017-05-02 10:32:54 +0200  Frédéric Dalleau <frederic.dalleau@collabora.com>

	* libs/gst/base/gstbasetransform.c:
	  basetransform: Check if meta transform_func is NULL before using it
	  An untested pointer segfaulted in webkit while playing video
	  on imx6 sabrelite. It turned out that the imx plugin didn't
	  implement the meta transform function.
	  The following GST_DEBUG trace was visible:
	  gstbasetransform.c:1779:foreach_metadata:<conv2> copy metadata
	  GstImxVpuBufferMetaAPI
	  Thread 26 vqueue:src received signal SIGSEGV, Segmentation fault.
	  (gdb) bt
	  0x00000000 in ?? ()
	  0x73f8d7d8 in foreach_metadata (inbuf=0xc9b020, meta=0x474b2490,
	  user_data=<optimized out>) at gstbasetransform.c:1781
	  0x73eb3ea8 in gst_buffer_foreach_meta (buffer=buffer@entry=0xc9b020,
	  func=0x73f8d705 <foreach_metadata>,
	  user_data=user_data@entry=0x474b24d4)
	  at gstbuffer.c:2234
	  https://bugzilla.gnome.org/show_bug.cgi?id=782050

2017-04-28 19:43:49 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/gst.c:
	  gst: check non-null before dereference
	  It is possible to use gst_deinit() without registering the base
	  classes. For example, when using gst_init_get_option_group() and
	  call the program with an invalid parameter. In that case,
	  gst_deinit() will lead to a segmentation fault, since there is a
	  dereference to a pointer that is null.
	  This patch validates if the type is non-null before dereferencing
	  it.
	  https://bugzilla.gnome.org/show_bug.cgi?id=781914

2017-04-28 11:57:41 +0200  Nicola Murino <nicola.murino@gmail.com>

	* scripts/gst-uninstalled:
	  gst-uninstalled: add opencv to bad libs
	  https://bugzilla.gnome.org/show_bug.cgi?id=781889

=== release 1.11.91 ===

2017-04-27 17:24:05 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-coreelements.xml:
	* gstreamer.doap:
	* meson.build:
	  Release 1.11.91

2017-04-27 15:48:33 +0300  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/ast.po:
	* po/az.po:
	* po/be.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/fur.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/nb.po:
	* po/nl.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/rw.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	* po/zh_TW.po:
	  Update .po files

2017-04-27 15:21:26 +0300  Sebastian Dröge <sebastian@centricular.com>

	* po/LINGUAS:
	* po/ast.po:
	* po/fur.po:
	  po: Update translations

2017-04-24 20:27:33 +0100  Tim-Philipp Müller <tim@centricular.com>

	* common:
	  Automatic update of common submodule
	  From 60aeef6 to 48a5d85

2017-04-21 15:04:32 +0200  Koop Mast <kwm@rainbow-runner.nl>

	* tools/meson.build:
	  Meson: also build and install gst-stats-1.0 and it's man page.
	  https://bugzilla.gnome.org/show_bug.cgi?id=781585

2017-04-21 15:03:18 +0200  Koop Mast <kwm@rainbow-runner.nl>

	* tools/gst-stats-1.0.1:
	  Add very simple man page for gst-stats.
	  https://bugzilla.gnome.org/show_bug.cgi?id=781585

2017-04-21 10:51:59 -0300  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* gst/gstelement.h:
	  doc: Fix some doctsing making GI happy

2017-04-06 17:51:29 -0300  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* gst/gstelement.h:
	  doc: Fix GstChangeState docstring

2017-04-19 17:31:38 +0100  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstinfo.c:
	  info: Move debug output in for_each_threshold_by_entry() to TRACE level
	  It's otherwise appearing many, many times in logs and usually is nothing
	  you're interested in.

2017-03-31 12:22:00 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* tests/check/pipelines/seek.c:
	  tests: fix message leak in seek test
	  https://bugzilla.gnome.org/show_bug.cgi?id=780757

2017-03-29 19:26:53 +0900  Yasushi SHOJI <yashi@atmark-techno.com>

	* libs/gst/base/gstbasetransform.c:
	  basetransform: fix typo in debug log output
	  This unbalanced closing parenthesis is leftover from the commit
	  8b739d91e7. It used to wrap the caps but we don't seem to do that in
	  the current code.
	  So, just remove it. No functionality has been changed.
	  https://bugzilla.gnome.org/show_bug.cgi?id=781484

2017-04-10 16:28:57 +0200  Rico Tzschichholz <ricotz@ubuntu.com>

	* gst/meson.build:
	* libs/gst/base/meson.build:
	* libs/gst/controller/meson.build:
	* libs/gst/net/meson.build:
	  meson: A couple for GIR-generation fixes

2017-04-12 09:48:53 -0300  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* libs/gst/controller/meson.build:
	  meson: Add controller enum file as generated sources
	  Avoiding build failure like
	  https://ci.appveyor.com/project/thiblahute/gst-build-ge9m5/build/1.0.2857

2017-04-11 20:19:03 +0100  Tim-Philipp Müller <tim@centricular.com>

	* Makefile.am:
	  meson: dist new meson build script

2017-04-11 20:16:53 +0100  Tim-Philipp Müller <tim@centricular.com>

	* docs/libs/gstreamer-libs-sections.txt:
	* libs/gst/controller/controller.h:
	  controller: include new proxycontrolbinding header
	  And fix includes in docs to just include the main header (the
	  include for the proxycontrolbinding was wrong in the docs).

2017-04-11 20:16:41 +0100  Tim-Philipp Müller <tim@centricular.com>

	* .gitignore:
	  .gitignore: ignore more

2017-04-11 11:52:20 -0400  Olivier Crete <olivier.crete@collabora.com>

	* gst/parse/meson.build:
	  meson: Only check the first parameter
	  https://bugzilla.gnome.org/show_bug.cgi?id=781155

2017-04-11 10:17:40 -0300  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* gst/parse/meson.build:
	  meson: Check bison and flex are recent enough
	  https://bugzilla.gnome.org/show_bug.cgi?id=781155

2017-04-10 23:48:53 +0100  Tim-Philipp Müller <tim@centricular.com>

	* common:
	  Automatic update of common submodule
	  From 39ac2f5 to 60aeef6

2017-04-10 12:24:06 -0400  Olivier Crête <olivier.crete@collabora.com>

	* gst/gstvalue.c:
	* tests/check/gst/gstvalue.c:
	  value: Accept NULL as a structure
	  Some GstStructure properties default to NULL, so it should
	  be a supported value.
	  With unit test.

2017-04-10 14:26:42 +0300  Sebastian Dröge <sebastian@centricular.com>

	* libs/gst/controller/Makefile.am:
	  controller: Fix build with srcdir!=builddir

2017-04-10 13:52:17 +0300  Rico Tzschichholz <ricotz@t-online.de>

	* libs/gst/controller/Makefile.am:
	  controller: Add missing sources/headers to the GIR build

2017-04-09 12:16:39 +0300  Sebastian Dröge <sebastian@centricular.com>
